SQL Server 2005 and Windows 8

BuildMaster/ProGet requires any SQL Server from 2005 to 2012 to be installed. As a database-based application, there’s no getting around that. To make installation simpler for users that would just like to quickly get started using or evaluating the software, we distribute an installer with SQL Express 2005 included, and provide the option of automatically installing an instance as part of installation.

Why Bundle SQL 2005?

SQL Express 2005 has a few benefits over later editions for an automated installer: it is a much smaller download, and it is able to install on any Windows back to XP with no reboots/prerequisites.

Compatibility Warnings

Microsoft does not officially support SQL 2005 on Windows 8 and Windows Server 2012. That means a dialog like this will appear if its installer is run:

SQL 2005 Compatibility Warning

If Run this program without getting help is clicked, installation will proceed normally and SQL 2005 will install and function normally; however, Microsoft will not support this configuration.

Installing BuildMaster or ProGet

If you are installing BuildMaster/ProGet on Windows 8 or Windows Server 2012, you may still use the bundled SQL 2005 Express instance, just keep in mind that SQL Server will not be supported by Microsoft if you encounter any issues with it in this configuration. For evaluation purposes, this is fine.

However, when installing BuildMaster or ProGet for use in production, we strongly recommend that you install any of the supported SQL Server editions (Express is fine) on Windows 8 or Server 2012.

Last modified: 9/26/2013

This content has the following tags:

buildmasterprogetinstallationsqlwindows